TypeDescription.Category (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc

## Enum TypeDescription.Category

- java.lang.Object
- - java.lang.Enum<TypeDescription.Category>
  - - org.apache.orc.TypeDescription.Category

- All Implemented Interfaces:
    Serializable, Comparable<TypeDescription.Category>
  Enclosing class:
    TypeDescription

      public static enum TypeDescription.Category
      extends Enum<TypeDescription.Category>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY`
    `BOOLEAN`
    `BYTE`
    `CHAR`
    `DATE`
    `DECIMAL`
    `DOUBLE`
    `FLOAT`
    `INT`
    `LIST`
    `LONG`
    `MAP`
    `SHORT`
    `STRING`
    `STRUCT`
    `TIMESTAMP`
    `TIMESTAMP_INSTANT`
    `UNION`
    `VARCHAR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `boolean` | `isPrimitive()`
    `static TypeDescription.Category` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TypeDescription.Category[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final TypeDescription.Category BOOLEAN

    - #### BYTE

          public static final TypeDescription.Category BYTE

    - #### SHORT

          public static final TypeDescription.Category SHORT

    - #### INT

          public static final TypeDescription.Category INT

    - #### LONG

          public static final TypeDescription.Category LONG

    - #### FLOAT

          public static final TypeDescription.Category FLOAT

    - #### DOUBLE

          public static final TypeDescription.Category DOUBLE

    - #### STRING

          public static final TypeDescription.Category STRING

    - #### DATE

          public static final TypeDescription.Category DATE

    - #### TIMESTAMP

          public static final TypeDescription.Category TIMESTAMP

    - #### BINARY

          public static final TypeDescription.Category BINARY

    - #### DECIMAL

          public static final TypeDescription.Category DECIMAL

    - #### VARCHAR

          public static final TypeDescription.Category VARCHAR

    - #### CHAR

          public static final TypeDescription.Category CHAR

    - #### LIST

          public static final TypeDescription.Category LIST

    - #### MAP

          public static final TypeDescription.Category MAP

    - #### STRUCT

          public static final TypeDescription.Category STRUCT

    - #### UNION

          public static final TypeDescription.Category UNION

    - #### TIMESTAMP_INSTANT

          public static final TypeDescription.Category TIMESTAMP_INSTANT

  - ### Method Detail

    - #### values

          public static TypeDescription.Category[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TypeDescription.Category c : TypeDescription.Category.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TypeDescription.Category valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isPrimitive

          public boolean isPrimitive()

    - #### getName

          public String getName()

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.